#include "inttypes.h"
#include <avr/io.h>

#include "adc.h"
#include "graphics.h"
#include "keys.h"
#include "lcd.h"
#include "main.h"
#include "timmer.h"


void KeysInit()
{
	KEY_PORT |= KEY1 | KEY2 | KEY3;
}

volatile uint8_t keys_change = 0;
volatile uint8_t keys_status = 0;
volatile uint8_t prev_keys = 0;

void KeysRead()
{
	uint8_t keys = KEYPIN;
	if(keys == prev_keys)
	{
		if(keys_change)
			keys_status |= ~keys&0x7f;
		keys_change = 0;
	}
	else
		keys_change = 1;//była zmiana

	prev_keys = keys;
}

uint8_t KeysGet()
{
	uint8_t ret = keys_status;
	keys_status = 0;
	return ret;
}

uint8_t keys_increment_decrement(int8_t min, int8_t max, int8_t *val, int8_t circ, int8_t dir)
{
	uint8_t keys = KeysGet();
	if(keys & KEY1)
		*val = *val + dir;

	else if(keys & KEY2)
		*val = *val - dir;

	if(*val > max)
	{
		if(circ)
			*val = min;
		else
			*val = max;
	}
	else if(*val < min)
	{
		if(circ)
			*val = max;
		else
			*val = min;
	}

	return keys;
}
