#define X_RES 84                            //Rozdzielczoæ w osi x
#define Y_RES 48                             //Rozdzielczoæ w osi y
#define LCD_CACHE_SIZE  X_RES*Y_RES/8        //rozmair pamieci

#define RST_PORT PORTD
#define RST_PIN (1<<0)
#define RST_L() RST_PORT &=~ RST_PIN
#define RST_H() RST_PORT |= RST_PIN

#define CE_PORT PORTD
#define CE_PIN (1<<1)
#define CE_L() CE_PORT &=~ CE_PIN
#define CE_H() CE_PORT |= CE_PIN

#define DC_PORT PORTD
#define DC_PIN (1<<2)
#define DC_L() DC_PORT &=~ DC_PIN
#define DC_H() DC_PORT |= DC_PIN

#define DATA_PORT PORTD
#define DATA_PIN (1<<3)
#define DATA_L() DATA_PORT &=~ DATA_PIN
#define DATA_H() DATA_PORT |= DATA_PIN

#define CLK_PORT PORTD
#define CLK_PIN (1<<4)
#define CLK_L() CLK_PORT &=~ CLK_PIN
#define CLK_H() CLK_PORT |= CLK_PIN

//Typ bajtu wysy³anego do LCD: CMD - Komenda, DAT - Dane do wywietlenia
typedef enum { CMD  = 0, DAT = 1 } send_mode;

//Tryb wywietlania pixela
typedef enum { OFF = 0, ON = 1} pixels_mode;

void lcd_init(void);
void lcd_clear(void);
void lcd_addres(uint16_t addr);
void lcd_xy(uint8_t x, uint8_t y);
void lcd_char_3x5( char chr, uint8_t mask_and, uint8_t mask_or, pixels_mode mode);
void lcd_str_3x5(uint8_t x, uint8_t y, char *str, uint8_t mask_and, uint8_t mask_or, pixels_mode mode);
void Lcd_line_vert(int8_t x, int8_t y1, int8_t y2, uint8_t *mask_and, uint8_t *mask_or, uint8_t *mask_or2, pixels_mode mode);
void lcd_set_byte(int8_t x, int8_t y, uint8_t byte);
void lcd_send(unsigned char data, uint8_t cd);









