#include <stdio.h>
#include "inttypes.h"
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/io.h>

#include "adc.h"
#include "graphics.h"
#include "keys.h"
#include "lcd.h"
#include "main.h"
#include "timmer.h"

const uint16_t PROGMEM CNT_RELOAD_VALUES[] =
{
	65536-15,//200us/div
	65536-46,//500us/div
	65536-97,//1ms/div
	65536-199,//2ms/div
	65536-506,//5ms/div
	65536-1018,//10ms/div
	65536-2038,//20ms/div
	65536-5123,//50ms/div
	65536-10248,//100ms/div
	65536-20498,//200ms/div
	65536-51398//500ms/div
};

void SampleTimerInit()
{

	TCCR1A = 0;
	TCCR1B |= (1<<CS11);//clk/8
#ifdef m8
	TIMSK |= (1<<TOIE1);//przerwanie od przepełnienia
#endif
#ifdef m88
	TIMSK1 |= (1<<TOIE1);//przerwanie od przepełnienia
#endif
	sei();
}

uint16_t SampleTimerSetFreq(uint8_t time_base)
{
	uint16_t cnt_reload = 0;
	cnt_reload = pgm_read_word(&CNT_RELOAD_VALUES[time_base-2]);
	return cnt_reload;
}

void MainTimerInit()
{
	//Inicjalizacja Timer0
#ifdef m8
	TCCR0 |= (1<<CS02) | (1<<CS00);    // źródłem CLK, preskaler 1024
	TIMSK |= (1<<TOIE0);   //Przerwanie overflow (przepełnienie timera)
#endif
#ifdef m88
	TCCR0B |= (1<<CS02) | (1<<CS00);    // źródłem CLK, preskaler 1024
	TIMSK0  |= (1<<TOIE0);   //Przerwanie overflow (przepełnienie timera)
#endif
	sei();
}
